import { Component } from 'dacha';
export class Settings extends Component {
    constructor(config) {
        super();
        this.data = {
            showGrid: config.showGrid,
            gridStep: config.gridStep,
            gridColor: config.gridColor,
        };
    }
    clone() {
        return new Settings({
            showGrid: this.data.showGrid,
            gridStep: this.data.gridStep,
            gridColor: this.data.gridColor,
        });
    }
}
Settings.componentName = 'Settings';
